
%global meadversion 2.3.11
%global namedversion 2.3.11.SP1-redhat-00001
%global meadalpha .SP1_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package undertow}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.3.11.SP1-redhat-00001

Name:           %{?scl_prefix}undertow
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Undertow
Group:          Development/Java

%if %with mead
Source100: undertow-parent-2.3.11.SP1-redhat-00001-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            https://github.com/undertow-io/undertow
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Undertow.

%if %with javadoc
%package javadoc
Summary:        Javadoc for undertow
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n undertow-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/undertow-parser-generator-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-parser-generator-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-parser-generator-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-parser-generator-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-parser-generator-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-parser-generator-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/undertow-core-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/undertow-servlet-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-servlet-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-servlet-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-servlet-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-servlet-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-servlet-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/undertow-websockets-jsr-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-websockets-jsr-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-websockets-jsr-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-websockets-jsr-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-websockets-jsr-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-websockets-jsr-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/undertow-%{namedversion}
unzip -qq %{_sourcedir}/undertow-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/undertow-%{namedversion} -x META-INF/\*
%{__ln_s} undertow-%{namedversion} %{buildroot}%{_javadocdir}/undertow
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}undertow
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.md
%exclude %{_javadir}/undertow-parser-generator-%{namedversion}.jar
%exclude %{_javadir}/undertow-parser-generator.jar
%if %with javadoc
%exclude %{_javadir}/undertow-parser-generator-%{namedversion}-javadoc.jar
%exclude %{_javadir}/undertow-parser-generator-javadoc.jar
%endif
%exclude %{_javadir}/undertow-parser-generator-%{namedversion}-sources.jar
%exclude %{_javadir}/undertow-parser-generator-sources.jar
%{_javadir}/undertow-core-%{namedversion}.jar
%{_javadir}/undertow-core.jar
%if %with javadoc
%{_javadir}/undertow-core-%{namedversion}-javadoc.jar
%{_javadir}/undertow-core-javadoc.jar
%endif
%{_javadir}/undertow-core-%{namedversion}-sources.jar
%{_javadir}/undertow-core-sources.jar
%{_javadir}/undertow-servlet-%{namedversion}.jar
%{_javadir}/undertow-servlet.jar
%if %with javadoc
%{_javadir}/undertow-servlet-%{namedversion}-javadoc.jar
%{_javadir}/undertow-servlet-javadoc.jar
%endif
%{_javadir}/undertow-servlet-%{namedversion}-sources.jar
%{_javadir}/undertow-servlet-sources.jar
%{_javadir}/undertow-websockets-jsr-%{namedversion}.jar
%{_javadir}/undertow-websockets-jsr.jar
%if %with javadoc
%{_javadir}/undertow-websockets-jsr-%{namedversion}-javadoc.jar
%{_javadir}/undertow-websockets-jsr-javadoc.jar
%endif
%{_javadir}/undertow-websockets-jsr-%{namedversion}-sources.jar
%{_javadir}/undertow-websockets-jsr-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/undertow-%{namedversion}
%{_javadocdir}/undertow
%endif

%changelog
* Wed Mar 20 2024 cpaas-ops <cpaas-ops@redhat.com> - 2.3.11-1.SP1_redhat_00001.1
- Built by CPaaS

* Mon Jan 22 2024 Permaine Cheung <pcheung@redhat.com> - 2.3.10-4.SP3_redhat_00001.1
- Wrapper build 2.3.10.SP3-redhat-00001

* Fri Jan 12 2024 cpaas-ops <cpaas-ops@redhat.com> - 2.3.10-3.SP3_redhat_00001.1
- Built by CPaaS

* Tue Oct 24 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.3.10-2.SP2_redhat_00001.1
- Built by CPaaS

* Fri Oct 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.3.10-1.SP1_redhat_00001.1
- Built by CPaaS

* Tue Jul 04 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.3.7-2.SP1_redhat_00001.1
- Built by CPaaS

* Fri Jun 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.3.7-2.SP1_redhat_00001.1
- Built by CPaaS

* Wed Jun 21 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.3.7-1.Final_redhat_00001.1
- Built by CPaaS

* Wed May 24 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.3.6-1.Final_redhat_00001.1
- Built by CPaaS

* Thu Apr 13 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.3.5-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.3.0-1.Alpha2_redhat_00001.1
- Built by CPaaS

* Fri Jun 03 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.2.17-2.Final_redhat_00002.1
- Built by CPaaS

* Tue May 31 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.2.17-1.Final_redhat_00001.1
- Built by CPaaS

* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.2.9-1.Final_redhat_00001.1
- Built by CPaaS
